# Contributing to Git Assistant

Hi contributors,

We are so happy about your great work to help us to improve _Git Assistant_ package with you as good as possible.

## Rules

In developing _Git Assistant_ package we use some rules and conventions which you should follow them to accept your contributions:

- If you have an idea which you think it can improve usability, performance and some other cool stuff please open an issue to make us notify and speaking with together about it.

- If you found a bug or other things which you think it could implement better open an issue and make us notify and after that open an pull request and attach the issue to it.

- For branch name convention follow these [conventions](https://dev.to/couchcamote/git-branching-name-convention-cch) and for your commit messages use these [Conventional Commits conventions](https://www.conventionalcommits.org/en/v1.0.0/).

- In pull requests comparison please compare your fork branch _(in the above conventions)_ with `dev` branch - in every release we merge them to the `master` branch.

- In every addition, deletion and updating in public APIs write its documents, tests and examples for it - for _documentations_ we mean doc comments `///` and for _test_ create tests in form of `test/test_feature_name.dart` and tests also must have documentations as possible as they can and for _examples_ create examples in form of `example/example_feature_name.dart`.

## License

By contributing to Git Assistant, you agree that your contributions will be licensed under its [BSD-3-Clause License](https://github.com/EhsanAramide/git-assistant/blob/master/LICENSE).
